> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Customer Metafield

GET https://api.bigcommerce.com/stores/{store_hash}/v3/customers/{customerId}/metafields/{metafieldId}

Returns a single *Customer Metafield*.


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/customers/v3/metafields/get-metafields-customer-id

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `customerId` (integer, required) — The ID that belongs to the customer.
- `metafieldId` (integer, required) — The ID that is generated for a metafield when created.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

## Response

### 200

OK

- `data` (metafield_Full, optional)
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Errors

### 404 Not Found Error

Not found (A metafield was not found with this query).

- `status` (integer, optional) — 404 HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `instance` (string, optional)

## Types

### metafield_Full

- `key` (string, required) — The name of the field, for example: `location_id`, `color`. Required for POST.
- `namespace` (string, required) — Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
- `permission_set` (enum, required) — Determines the visibility and writeability of the field by other API consumers. |Value|Description |-|-| |`app_only`|Private to the app that owns the field| |`read`|Visible to other API consumers| |`write`|Open for reading and writing by other API consumers| |`read_and_sf_access`|Visible to other API consumers, including on storefront| |`write_and_sf_access`|Open for reading and writing by other API consumers, including on storefront|
  - Allowed values: `app_only`, `read`, `write`, `read_and_sf_access`, `write_and_sf_access`
- `value` (string, required) — The value of the field, for example: `1`, `blue`. Required for POST.
- `date_created` (datetime, optional) — Date and time of the metafieldʼs creation. Read-Only.
- `date_modified` (datetime, optional) — Date and time when the metafield was last updated. Read-Only.
- `description` (string, optional) — Description for the metafields.
- `id` (integer, optional) — Unique ID of the *Metafield*. Read-Only.
- `resource_id` (integer, optional) — The ID of the resource with which the metafield is associated.
- `resource_type` (enum, optional) — The type of resource with which the metafield is associated.
  - Allowed values: `category`, `brand`, `product`, `variant`, `customer`

### metaEmpty_Full

Response metadata.

## Examples

**Response**

```json
{
  "data": {
    "key": "Location",
    "namespace": "Warehouse Locations",
    "permission_set": "app_only",
    "value": "4HG",
    "date_created": "2018-05-07T20:14:17+00:00",
    "date_modified": "2018-05-07T20:14:17+00:00",
    "description": "Location in the warehouse",
    "id": 6,
    "resource_id": 111,
    "resource_type": "customer"
  },
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/customers/1/metafields/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```